|  | Home · All Classes · Modules

# QMetaClassInfo Class Reference
[QtCore module]

The QMetaClassInfo class provides additional information about a class. More...

### Methods

- __init__ (self)
- __init__ (self, QMetaClassInfo)
- str name (self)
- str value (self)

## Detailed Description

The QMetaClassInfo class provides additional information about a class.

Class information items are simple name--value pairs that are specified using Q_CLASSINFO() in the source code. The information can be retrieved using name() and value(). For example:

     class MyClass
     {
         Q_OBJECT
         Q_CLASSINFO("author", "Sabrina Schweinsteiger")
         Q_CLASSINFO("url", "http://doc.moosesoft.co.uk/1.0/")

     public:
         ...
     };

This mechanism is free for you to use in your Qt applications. Qt doesn't use it for any of its classes.

See also QMetaObject.

## Method Documentation

### QMetaClassInfo.__init__ (self)

### QMetaClassInfo.__init__ (self, QMetaClassInfo)

### str QMetaClassInfo.name (self)

Returns the name of this item.

See also value().

### str QMetaClassInfo.value (self)

Returns the value of this item.

See also name().